Ошибка при установке eclipse

Discussion in 'С/С++, C#, Rust, Swift, Go, Java, Perl, Ruby' started by dshelyuzhak, 4 Jan 2014.

  1. dshelyuzhak

    dshelyuzhak Member

    Joined:
    25 Oct 2012
    Messages:
    141
    Likes Received:
    7
    Reputations:
    1
    скачал eclipse standart (себе для python)
    высвечивается ошибка после того, как запускаю файл .exe такого типа http://clip2net.com/s/6wmYyB
    в кого была такая проблема?
     
  2. qw1mb1

    qw1mb1 Member

    Joined:
    8 Feb 2013
    Messages:
    113
    Likes Received:
    16
    Reputations:
    8
    установи JRE и JDK
    http://docs.oracle.com/javase/7/docs/webnotes/install/
     
  3. dshelyuzhak

    dshelyuzhak Member

    Joined:
    25 Oct 2012
    Messages:
    141
    Likes Received:
    7
    Reputations:
    1
    а для чего эти два элемента? как я понимаю это плагины, но как их после скачки добавить в python или куда надо?
    к этому не относится Module Docs ? (просто такой ярлык после установки питона появился)
    а еще на том сайте, что вы указали http://docs.oracle.com/javase/7/docs/webnotes/install/windows/jdk-installation-windows.html и http://docs.oracle.com/javase/7/docs/webnotes/install/windows/jre-installation-windows.html не могу ничего понять.. можете сказать что к чему?
    думал что на этом сайте что-то узнаю http://xn--80aqgk2b.xn--p1ai/blog/coder/26.html но действия которые там описал не помогли..
     
    #3 dshelyuzhak, 5 Jan 2014
    Last edited: 5 Jan 2014
  4. qw1mb1

    qw1mb1 Member

    Joined:
    8 Feb 2013
    Messages:
    113
    Likes Received:
    16
    Reputations:
    8
    JRE - виртуальная машина Java
    JDK - набор инструментов для разработки на Java

    Они нужны для работы Eclipse (хотя по поводу 2-го сомневаюсь), их нужно просто установить и тогда Eclipse "станет" без проблем
     
  5. dshelyuzhak

    dshelyuzhak Member

    Joined:
    25 Oct 2012
    Messages:
    141
    Likes Received:
    7
    Reputations:
    1
    мне eclipsе нужен для работы c python..
    standart версия eclipse подойдет ?
     
  6. qw1mb1

    qw1mb1 Member

    Joined:
    8 Feb 2013
    Messages:
    113
    Likes Received:
    16
    Reputations:
    8
    я Eclipse не использую, потому точно сказать не могу. но судя по инструкции (http://www.ics.uci.edu/~pattis/common/handouts/pythoneclipsejava/eclipsepython.html) должна подойти
     
  7. mrDebian

    mrDebian Member

    Joined:
    27 Jan 2013
    Messages:
    96
    Likes Received:
    13
    Reputations:
    10
    Зачем тебе именно эклипс?

    Для 90% задач тебе подойдет SublimeText. В нем "нативная" поддержка питона.
     
  8. dshelyuzhak

    dshelyuzhak Member

    Joined:
    25 Oct 2012
    Messages:
    141
    Likes Received:
    7
    Reputations:
    1
    за сайт большое спасибо, но не получается скачать модули и тем самим устранить ошибку)
    все кто в теме прошу помочь)
    SublimeText. или eclipse лучше подойдут для питона? для изучения выбрал уроки на ютубе, вот там рекомендовалось использовать eclipse.. именно поэтому решил его установить, чтобы легче было учится программированию..
     
    #8 dshelyuzhak, 5 Jan 2014
    Last edited: 5 Jan 2014
  9. mrDebian

    mrDebian Member

    Joined:
    27 Jan 2013
    Messages:
    96
    Likes Received:
    13
    Reputations:
    10
    Тебе не нужен Eclipse.
    Скачай себе SublimeText2, поставь к нему Package Control и с помощью него сможешь поставить десятки плагинов. (Список для питона )
    Тут темы оформления для саблайма.

    Главное настрой саблайм под себя, и пользуйся.
    Не пугайся что там конфиги руками правятся - быстро привыкнешь.

    И да, все плагины к саблайму написаны на питоне, сможешь на досуге их поизучать, тоже опыт.
     
  10. dshelyuzhak

    dshelyuzhak Member

    Joined:
    25 Oct 2012
    Messages:
    141
    Likes Received:
    7
    Reputations:
    1
    извиняй, что спрашиваю, но все же.
    что такое "саблайм"? для чего нужны плагины?
     
  11. mrDebian

    mrDebian Member

    Joined:
    27 Jan 2013
    Messages:
    96
    Likes Received:
    13
    Reputations:
    10
    саблайм = SublimeText

    Плагины нужны для расширения функционала.
    Из коробки Sublime не умеет многих вещей, с помощью плагинов ты расширишь функционал.

    Тот же автокомплит для питона например, подсветка специфичиского синтаксиса для разных языков, и многое другое. Посмотри по ссылкам что я дал.
     
    #11 mrDebian, 5 Jan 2014
    Last edited: 5 Jan 2014
  12. dshelyuzhak

    dshelyuzhak Member

    Joined:
    25 Oct 2012
    Messages:
    141
    Likes Received:
    7
    Reputations:
    1
    я вам написал в приват, так как есть несколько вопросов. если можете прочтите, так как я в теме только спрашиваю, а вы отвечаете :rolleyes: спасибо))
     
Loading...